import java.awt.*;
import java.applet.*;

public class Circle2 extends Applet {

  int shape;

  public void init() {
    shape=0;
  }

  public void paint (Graphics g)
  {
    int x, y;  // Mittelpunkt
    int r;     // Radius
    int r2;    // Halber Radius

    x = 300;
    y = 300;
    for (int i=0; i<10; i++) {
       // Verschieben
      r = (int) (  400*Math.random() );
      r2 = r >> 1;
      g.drawOval(x-r2,y-r2,r,r);
    }
  }


    /**
     * Stop the insanity, um, applet.
     */
    public synchronized void stop() {
    }


    public String getAppletInfo() {
        return "A simple drawing program.";
    }

    public static void main(String args[]) {
      Frame f = new Frame("Circle2");
     	Circle2 circle = new Circle2();
    	circle.init();
    	circle.start();
      f.add("Center", circle);
     	f.setSize(500,400);
    	f.show();
    }


}



